#include <stdio.h>
#include "defines.h"

extern	int	_Cs_fcash_; /* >0 : memory , 0:file , -1:not cash */
extern	unchar	*_Cs_cashbuff_;
extern	long	_Cs_csize_,_Cs_cseek_;

int cash_fgetc(FILE *fp)
/* ミニ キャッシュ システム:fgetc */
{
	if (!_Cs_fcash_) return(fgetc(fp));
	
	/* １バイト読み出し */
	return(_Cs_cseek_==_Cs_csize_? EOF:_Cs_cashbuff_[_Cs_cseek_++]);
}
